skipRelease(3)

NAME
skipRelease - release lock on value.

SYNOPSIS
#include <util/skiplist.h> void skipRelease(skipList list, void *lock);

ARGUMENTS
list - list containing value to release.
lock - lock to release.

DESCRIPTION
Releases the lock on the value associated with <lock>. Once the lock is released, the freeValue callback can be called and the item freed (see skipNewList()). MT-Level: Safe if <list> thread-safe.

RETURN VALUE
None.

SEE ALSO
skipDelete(3), skipFreeList(3), skipRelease(3), skipInsert(3), skipSearch(3), skipNext(3), skipNewList